.header-bar {
  position: sticky;
  padding: var(--margin);
  padding-right: var(--margin-sm); /* Smaller because of the flat profile dropdown. */
  min-height: var(--headerbar-height);
  top: 0;

  display: grid;
  grid-template-columns: auto 1fr auto;
  grid-template-areas: "previous brand actions";
  align-items: center;

  isolation: isolate;

  z-index: 1; /* Above content, which is at 0. */
}

.header-bar.highlight-enter {
  background: var(--color-background);
}

.header-bar.highlight {
  background: var(--color-background-d1);
  transition: background var(--transition-duration);
}

.header-bar.highlight-exit {
  background: var(--color-background);
}

@media (width >= 940px) {
  .header-bar {
    grid-template-columns: auto auto 1fr auto;
    grid-template-areas: "previous brand search actions";
  }
}

@media print {
  .header-bar {
    display: none;
  }
}

.previous {
  width: 0;

  grid-area: previous;
  opacity: 0;

  /* Small animation when made visible */
  transition: margin var(--transition-duration), width var(--transition-duration), opacity var(--transition-duration);
}

.previous.visible {
  margin-right: var(--margin-sm);
  width: 40px;

  opacity: 1;
}

.brand {
  grid-area: brand;

  border-radius: 5px;
  outline-offset: 5px;
}

.brand:focus-within {
  outline: 2px solid var(--color-secondary);
}

.brand a {
  outline: none;
}

@media (width >= 940px) {
  .brand {
    margin-right: var(--margin);
  }
}

.search {
  display: none;
  grid-area: search;
}

@media (width >= 940px) {
  .search {
    margin-right: var(--margin-sm);

    display: block;
  }
}

.actions {
  grid-area: actions;
}

.profile {
  padding: var(--margin);
  min-width: var(--profile-width);

  --profile-width: 250px;
}

.profile.skeleton {
  width: calc(var(--margin) * 2 + var(--profile-width));
  height: 64px;
}